﻿using System;
using System.ComponentModel;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows.Input;
using System.Text;

namespace WpfApplication7
{
    class WindowViewModel : INotifyPropertyChanged
    {
        public ObservableCollection<TreeNodeViewModel> DataContainer { get; private set; }

        public WindowViewModel()
        {
            DataContainer = new ObservableCollection<TreeNodeViewModel>();
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
